Skip to main content
GET
/
analytics
/
dashboards
/
provider-performance
/
cancellation-reasons
Get Cancellation Reasons
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/provider-performance/cancellation-reasons \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "reasons": [
    {
      "reason": "<string>",
      "count": 123,
      "percentage": 123
    }
  ],
  "totalCancellations": 123
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

timezone
string
required

Timezone for date filtering

start_date
string | null
end_date
string | null
location_ids
string[] | null
provider_ids
string[] | null

Response

Successful Response

Response for cancellation reasons endpoint.

reasons
CancellationReasonItem · object[]
required
totalCancellations
integer
required